package serialPort;

import gnu.io.CommPortIdentifier;
import gnu.io.SerialPort;
import gui.In;


/*
open() can leak memory in some CommAPI implementations
		  when called multiple times.
*/


public class OpenCloseTest {
    public static void main(String args[]) {
        CommPortUtils cpu = CommPortUtils.getCommPortUtils();
        CommPortIdentifier portId=cpu.getACommPort();
        SerialPort serialPort;


        for (int i=0; i < 10; i++) {
            try {
                System.out.println("open-close#"+i);
                serialPort = (SerialPort) portId.open(
                        portId.getName(), 200
                );
                serialPort.close();
                System.out.println("done");
            } catch (Exception ie) {
                In.message(ie);
            }
        }
    }
}

